summaryrefslogtreecommitdiffstats
path: root/source/l/libdvdread
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/libdvdread')
-rwxr-xr-xsource/l/libdvdread/libdvdread.SlackBuild32
-rw-r--r--source/l/libdvdread/libdvdread.url1
-rw-r--r--source/l/libdvdread/slack-desc10
3 files changed, 28 insertions, 15 deletions
diff --git a/source/l/libdvdread/libdvdread.SlackBuild b/source/l/libdvdread/libdvdread.SlackBuild
index 97ab7f714..4fd0204aa 100755
--- a/source/l/libdvdread/libdvdread.SlackBuild
+++ b/source/l/libdvdread/libdvdread.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2012, 2014 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2012, 2014, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,25 +20,34 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libdvdread
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:--j6}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -51,7 +60,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -59,7 +67,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
@@ -76,13 +84,17 @@ CXXFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
--disable-static \
--build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux
+ --host=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install-strip DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
AUTHORS COPYING* NEWS README* TODO \
diff --git a/source/l/libdvdread/libdvdread.url b/source/l/libdvdread/libdvdread.url
new file mode 100644
index 000000000..87af4f743
--- /dev/null
+++ b/source/l/libdvdread/libdvdread.url
@@ -0,0 +1 @@
+http://download.videolan.org/pub/videolan/libdvdread/
diff --git a/source/l/libdvdread/slack-desc b/source/l/libdvdread/slack-desc
index d1ddba952..d6c1b1503 100644
--- a/source/l/libdvdread/slack-desc
+++ b/source/l/libdvdread/slack-desc
@@ -1,15 +1,15 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
libdvdread: libdvdread (library for reading DVDs)
libdvdread:
libdvdread: libdvdread provides a simple foundation for reading DVD video
-libdvdread: disks. It provides the functionality that is required to access
-libdvdread: many DVDs. It parses IFO files, reads NAV-blocks, and performs
+libdvdread: disks. It provides the functionality that is required to access
+libdvdread: many DVDs. It parses IFO files, reads NAV-blocks, and performs
libdvdread: CSS authentication and descrambling.
libdvdread:
libdvdread: